## org.biojava.bio.dp.twohead
Interface CellCalculatorFactory

All Known Implementing Classes:
  DPInterpreter

    public interface CellCalculatorFactory

Author:
  Matthew Pocock

Method Summary
`CellCalculator` `backwards(ScoreType scoreType)`
`CellCalculator` `forwards(ScoreType scoreType)`
`CellCalculator` `viterbi(ScoreType scoreType, BackPointer terminal)`

Method Detail

### forwards

    CellCalculator forwards(ScoreType scoreType)
                            throws IllegalSymbolException,
                                   IllegalAlphabetException,
                                   IllegalTransitionException

  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `IllegalTransitionException`

### backwards

    CellCalculator backwards(ScoreType scoreType)
                             throws IllegalSymbolException,
                                    IllegalAlphabetException,
                                    IllegalTransitionException

  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `IllegalTransitionException`

### viterbi

    CellCalculator viterbi(ScoreType scoreType,
                           BackPointer terminal)
                           throws IllegalSymbolException,
                                  IllegalAlphabetException,
                                  IllegalTransitionException

  Throws:
    `IllegalSymbolException`
    `IllegalAlphabetException`
    `IllegalTransitionException`